#!/usr/bin/python

# This python module will send a mail message to a CMF site

# $Id: sendMailToZope.py,v 1.1.1.1 2002/05/31 09:13:06 andyd Exp $

__version__='$Revision: 1.1.1.1 $'[11:-2]  

import sys, urllib
import rfc822, StringIO, string

def sendMail(url, messageText):
    if url:
        if not url[-len('/postMailMessage'):] == '/postMailMessage':
            url = url + '/postMailMessage'

        try:
            result = urllib.urlopen(url, urllib.urlencode({'file':messageText})).read()
        except (IOError,EOFError),e:
            print "ZMailIn Error: Problem Connecting to server",e
            sys.exit(73)
                
        # if the ZMailIn Client's method returned anything, then 'something bad' happened.
        if result:
            print result
            sys.exit(1)
                        
        sys.exit(0)

    print "ZMailIn Error: No ZMailIn Client URL found or specified."
    sys.exit(1)
    

if __name__ == '__main__':
    # This gets called by the MTA when a new message arrives.
    # The mail message file gets passed in on the stdin
        
    f = sys.stdin   # First get a handle on the message file
    messageText = f.read()
        
    url = ''
    if len(sys.argv)>1:
        url = sys.argv[1]
        
    if not url:
        print "ZMailIn Error: You must specify the URL to the CMF instance in the First arguement. i.e. python sendMailToZope.py http://www.myserver.com/CMF/"
        sys.exit(1)

    sendMail(url, messageText)
        
