from unittest import TestCase

import Zope

from Products.CMFCore.tests.base.testcase import SecurityRequestTest

import os

class Base(SecurityRequestTest,TestCase):

    def setUp(self):
        SecurityRequestTest.setUp(self)

        app = self.root

        app.REQUEST.set('URL1','http://foo/mailin/test')

        try: app._delObject('MailInTest')
        except AttributeError: pass
        app.manage_addProduct['CMFDefault'].manage_addCMFSite('MailInTest')
        
        self.Site = app.MailInTest

        self.Site.manage_addProduct['CMFMailIn'].manage_addTool('CMF Mail In Tool')
        
        self.Tool = app.restrictedTraverse('/MailInTest/portal_mailin')
        self.Tool.setup_skins()

        # sessioning bodge until we find out how to do this properly

        session = app.unrestrictedTraverse('/session_data_manager').getSessionData
        app.REQUEST.set_lazy('SESSION', session)
